from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'livewhereme.views.home', name='home'),
    # url(r'^livewhereme/', include('livewhereme.foo.urls')),
    url(r'^$', 'locator.views.index', name='index'),
    #url(r'^live/(?P<gid>\w{0,50})/$', 'locator.views.livewhere', name='livewhere'),
    url(r'^live/$', 'locator.views.livewhere', name='livewhere'),
    url(r'^about/', 'locator.views.about', name='about'),
    url(r'^safe/', 'locator.views.safe', name='safe'),
    url(r'^friends/', 'locator.views.friends', name='friends'),
    url(r'^essential/', 'locator.views.essential', name='essential'),
    url(r'^geojson/(?P<transport>\w{0,50})/$', 'locator.views.generate_geojson', name='geojson'),
    url(r'^tzapi/(?P<tz>\w{0,50})/$', 'locator.views.get_tz_stats', name='get_tz_stats'),
    url(r'^rentapi/(?P<tz>\w{0,50})/$', 'locator.views.get_tz_rent', name='get_tz_rent'),
    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),
)
