__author__ = 'kelvinn'
from sqlalchemy import *
from sqlalchemy.orm import create_session, sessionmaker
from sqlalchemy.ext.declarative import declarative_base
from geoalchemy import postgis
from sqlalchemy.orm import relationship, backref
from geoalchemy import *
import simplejson as json
import urllib2
import os
import csv
import itertools

#Create and engine and get the metadata
#Base = declarative_base()

engine = create_engine('postgresql://abs:abs@localhost/abs', echo=False) #change here if want to view echo
Session = sessionmaker(bind=engine)
session = Session()

metadata = MetaData(bind=engine)
Base = declarative_base(metadata=metadata)


class lga(Base):
    __tablename__ = 'lga'
    __table_args__ = {'autoload': True, 'schema': 'asgs_2011'}
    geom = GeometryColumn(MultiPolygon(1,srid=4326))


class crime(Base):
    __tablename__ = 'crime'
    __table_args__ = {'schema': 'govhack_2013'}
    gid = Column(Integer, primary_key=True)
    lga = Column(Integer, ForeignKey('asgs_2011.lga.code'))
    lga_code = Column(Integer)
    lga_obj = relationship("lga", backref="crime")


#tz_obj = session.query(sydney_transit).filter(sydney_transit.gid == 10).first()
all_crime_list = session.query(crime)
for crime_obj in all_crime_list:
    lga_obj = session.query(lga).filter(lga.code == str(crime_obj.lga_code)).first()
    if lga_obj and crime_obj:
        #c = sydney_transit()
        crime_obj.lga = lga_obj.code
        session.add(crime_obj)
    else:
        print crime_obj.gid
session.commit()