__author__ = 'kelvinn'
from sqlalchemy import *
from sqlalchemy.orm import create_session, sessionmaker
from sqlalchemy.ext.declarative import declarative_base
from geoalchemy import postgis
from sqlalchemy.orm import relationship, backref
from geoalchemy import *
import simplejson as json
import urllib2
import os
import csv
import itertools

#Create and engine and get the metadata
#Base = declarative_base()

engine = create_engine('postgresql://abs:abs@localhost/abs', echo=False) #change here if want to view echo
Session = sessionmaker(bind=engine)
session = Session()

metadata = MetaData(bind=engine)
Base = declarative_base(metadata=metadata)


class lga(Base):
    __tablename__ = 'lga'
    __table_args__ = {'autoload': True, 'schema': 'asgs_2011'}
    geom = GeometryColumn(MultiPolygon(1,srid=4326))


class tz_nsw_2011(Base):
    __tablename__ = 'tz_nsw_2011'
    __table_args__ = {'schema': 'govhack_2013'}
    gid = Column(Integer, primary_key=True)
    lga = Column(Integer, ForeignKey('asgs_2011.lga.code'))
    lga_obj = relationship("lga", backref="tz")
    geom = GeometryColumn(MultiPolygon(1,srid=4326))

#tz_obj = session.query(sydney_transit).filter(sydney_transit.gid == 10).first()
all_tz_list = session.query(tz_nsw_2011)
for tz_obj in all_tz_list:

    lga_obj = session.query(lga).filter(lga.geom.intersects(functions.centroid(tz_obj.geom))).first()
     functions.within_distance
    if lga_obj and tz_obj:
        tz_obj.lga = lga_obj.code
        session.add(tz_obj)
    else:
        print tz_obj.gid
session.commit()
