__author__ = 'kelvinn'
from sqlalchemy import *
from sqlalchemy.orm import create_session, sessionmaker
from sqlalchemy.ext.declarative import declarative_base
from geoalchemy import postgis
from geoalchemy import *
import simplejson as json
import urllib2
import os
import csv
import itertools

#Create and engine and get the metadata
#Base = declarative_base()

engine = create_engine('postgresql://abs:abs@localhost/abs', echo=False) #change here if want to view echo
Session = sessionmaker(bind=engine)
session = Session()


metadata = MetaData(bind=engine)
Base = declarative_base(metadata=metadata)

"""
class sa1(Base):
    __tablename__ = 'sa1'
    __table_args__ = {'autoload': True, 'schema': 'asgs_2011'}
    geom = GeometryColumn(MultiPolygon(1,srid=4326))
"""


class sa2(Base):
    __tablename__ = 'sa2'
    __table_args__ = {'autoload': True, 'schema': 'asgs_2011'}
    geom = GeometryColumn(MultiPolygon(1,srid=4326))


class syd_transit(Base):
    __tablename__ = 'sydney'
    __table_args__ = {'schema': 'transit'}
    id = Column(Integer, primary_key=True)
    from_code = Column(Integer, ForeignKey('asgs_2011.sa1.code'))
    to_code = Column(Integer, ForeignKey('asgs_2011.sa1.code'))
    time = Column(Integer)


class syd_transit_sa2(Base):
    __tablename__ = 'sydney_sa2'
    __table_args__ = {'schema': 'transit'}
    id = Column(Integer, primary_key=True)
    from_code = Column(Integer, ForeignKey('asgs_2011.sa2.code'))
    to_code = Column(Integer, ForeignKey('asgs_2011.sa2.code'))
    time = Column(Integer)



indir = '/var/www/livewhereme/out_sa2/'
for root, dirs, filenames in os.walk(indir):
    for f in filenames:
        with open(os.path.join(root, f), 'rb') as csvfile:
            gpsreader = csv.reader(csvfile, delimiter=',')
            gpsreader.next()
            for row in gpsreader:
                sa2_a_code = f.split("_")[1]
                sa2_b_code = row[0]
                duration = row[4]

                sa2_a_obj = session.query(sa2).filter(sa2.code == sa2_a_code).first()
                sa2_b_obj = session.query(sa2).filter(sa2.code == sa2_b_code).first()

                if sa2_a_obj and sa2_b_obj:
                    c = syd_transit_sa2()
                    c.to_code = sa2_b_obj.code
                    c.from_code = sa2_a_obj.code
                    c.time = int(float(duration))
                    session.add(c)
                else:
                    print sa2_a_code, sa2_b_code
            session.commit()








