engine = create_engine('postgresql://abs:abs@localhost/abs', echo=True)
Session = sessionmaker(bind=engine)
session = Session()

metadata = MetaData(bind=engine)
Base = declarative_base(metadata=metadata)

class medicare(Base):
    __tablename__ = 'medicare'
    __table_args__ = {'autoload': True, 'schema': 'govhack_2013'}
    geom = GeometryColumn(Point())


class mb(Base):
    __tablename__ = 'mb'
    __table_args__ = {'autoload': True, 'schema': 'asgs_2011'}
    geom = GeometryColumn(MultiPolygon(1,srid=4326))

# Get MB listing for Willoughby
#mb_list = session.query(mb).filter(mb.lga == '18250')

#geom_list = []
q=session.query(mb, medicare).filter(mb.geom.within_distance(medicare.geom, .005))
results = q.all()
#for meshblock in mb_list:
for result in results:
    meshblock = result[0]
    geom_list.append(session.scalar(postgis.pg_functions.geojson(meshblock.geom)))

str_geom = ', '.join(geom_list)