__author__ = 'kelvinn'
from sqlalchemy import *
from sqlalchemy.orm import create_session, sessionmaker
from sqlalchemy.ext.declarative import declarative_base
from geoalchemy import postgis
from sqlalchemy.orm import relationship, backref
from geoalchemy import *
import simplejson as json
import urllib2
import os
import csv
import itertools

#Create and engine and get the metadata
#Base = declarative_base()

engine = create_engine('postgresql://abs:abs@localhost/abs', echo=False) #change here if want to view echo
Session = sessionmaker(bind=engine)
session = Session()

metadata = MetaData(bind=engine)
Base = declarative_base(metadata=metadata)


class sa2(Base):
    __tablename__ = 'sa2'
    __table_args__ = {'autoload': True, 'schema': 'asgs_2011'}
    geom = GeometryColumn(MultiPolygon(1,srid=4326))


class tz_nsw_2011(Base):
    __tablename__ = 'tz_nsw_2011'
    __table_args__ = {'schema': 'govhack_2013'}
    gid = Column(Integer, primary_key=True)
    sa2 = Column(Integer, ForeignKey('asgs_2011.sa2.code'))
    sa2_main11 = Column(Integer)
    sa2_obj = relationship("sa2", backref="tz")
    geom = GeometryColumn(MultiPolygon(1,srid=4326))


class motor_vehicles(Base):
    __tablename__ = 'bcp_number_of_motor_vehicles_sa2'
    __table_args__ = {'autoload': True, 'schema': 'census_2011'}


# Connect to Display TravelZones for given SA2

tz_obj = session.query(tz_nsw_2011).filter(tz_nsw_2011.tz_code11 == "76").first()
print tz_obj.sa2.name



